Upstream information

CVE-2017-10807 at MITRE

Description

JabberD 2.x (aka jabberd2) before 2.6.1 allows anyone to authenticate using SASL ANONYMOUS, even when the sasl.anonymous c2s.xml option is not enabled.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.3
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial None
Availability Impact Partial None
CVSS v3 Scores
  SUSE
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 1047282 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Manager Proxy 3.0
  • jabberd >= 2.6.1-4.6.1
  • jabberd-db >= 2.6.1-4.6.1
  • jabberd-sqlite >= 2.6.1-4.6.1
Patchnames:
SUSE-SUSE-Manager-Proxy-3.0-2017-1392
SUSE Manager Proxy 3.1
  • jabberd >= 2.6.1-3.3.1
  • jabberd-db >= 2.6.1-3.3.1
  • jabberd-sqlite >= 2.6.1-3.3.1
  • osa-common >= 5.11.80.3-2.3.1
  • osad >= 5.11.80.3-2.3.1
  • rhnpush >= 5.5.104.3-2.3.2
  • spacewalk-backend >= 2.7.73.7-2.3.1
  • spacewalk-backend-libs >= 2.7.73.7-2.3.1
  • spacewalk-base-minimal >= 2.7.1.10-2.3.1
  • spacewalk-base-minimal-config >= 2.7.1.10-2.3.1
  • spacewalk-certs-tools >= 2.7.0.7-2.3.1
  • spacewalk-proxy >= 2.7.1.4-2.3.1
  • spacewalk-proxy-broker >= 2.7.1.4-2.3.1
  • spacewalk-proxy-common >= 2.7.1.4-2.3.1
  • spacewalk-proxy-management >= 2.7.1.4-2.3.1
  • spacewalk-proxy-package-manager >= 2.7.1.4-2.3.1
  • spacewalk-proxy-redirect >= 2.7.1.4-2.3.1
  • spacewalk-proxy-salt >= 2.7.1.4-2.3.1
  • spacewalk-web >= 2.7.1.10-2.3.1
  • spacewalksd >= 5.0.26.3-2.3.1
  • supportutils-plugin-susemanager-client >= 3.1.2-2.3.1
  • zypp-plugin-spacewalk >= 0.9.16-2.3.1
Patchnames:
SUSE-SUSE-Manager-Proxy-3.1-2017-1387
SUSE Manager Server 3.0
  • jabberd >= 2.6.1-4.6.1
  • jabberd-db >= 2.6.1-4.6.1
  • jabberd-sqlite >= 2.6.1-4.6.1
Patchnames:
SUSE-SUSE-Manager-Server-3.0-2017-1392
SUSE Manager Server 3.1
  • cobbler >= 2.6.6-5.3.1
  • jabberd >= 2.6.1-3.3.1
  • jabberd-db >= 2.6.1-3.3.1
  • jabberd-sqlite >= 2.6.1-3.3.1
  • osa-common >= 5.11.80.3-2.3.1
  • osa-dispatcher >= 5.11.80.3-2.3.1
  • osad >= 5.11.80.3-2.3.1
  • rhnpush >= 5.5.104.3-2.3.2
  • salt-netapi-client >= 0.12.0-3.3.1
  • smdba >= 1.5.8-0.2.3.1
  • spacecmd >= 2.7.8.6-2.3.1
  • spacewalk-backend >= 2.7.73.7-2.3.1
  • spacewalk-backend-app >= 2.7.73.7-2.3.1
  • spacewalk-backend-applet >= 2.7.73.7-2.3.1
  • spacewalk-backend-config-files >= 2.7.73.7-2.3.1
  • spacewalk-backend-config-files-common >= 2.7.73.7-2.3.1
  • spacewalk-backend-config-files-tool >= 2.7.73.7-2.3.1
  • spacewalk-backend-iss >= 2.7.73.7-2.3.1
  • spacewalk-backend-iss-export >= 2.7.73.7-2.3.1
  • spacewalk-backend-libs >= 2.7.73.7-2.3.1
  • spacewalk-backend-package-push-server >= 2.7.73.7-2.3.1
  • spacewalk-backend-server >= 2.7.73.7-2.3.1
  • spacewalk-backend-sql >= 2.7.73.7-2.3.1
  • spacewalk-backend-sql-oracle >= 2.7.73.7-2.3.1
  • spacewalk-backend-sql-postgresql >= 2.7.73.7-2.3.1
  • spacewalk-backend-tools >= 2.7.73.7-2.3.1
  • spacewalk-backend-xml-export-libs >= 2.7.73.7-2.3.1
  • spacewalk-backend-xmlrpc >= 2.7.73.7-2.3.1
  • spacewalk-base >= 2.7.1.10-2.3.1
  • spacewalk-base-minimal >= 2.7.1.10-2.3.1
  • spacewalk-base-minimal-config >= 2.7.1.10-2.3.1
  • spacewalk-branding >= 2.7.2.7-2.3.1
  • spacewalk-certs-tools >= 2.7.0.7-2.3.1
  • spacewalk-html >= 2.7.1.10-2.3.1
  • spacewalk-java >= 2.7.46.5-2.3.1
  • spacewalk-java-config >= 2.7.46.5-2.3.1
  • spacewalk-java-lib >= 2.7.46.5-2.3.1
  • spacewalk-java-oracle >= 2.7.46.5-2.3.1
  • spacewalk-java-postgresql >= 2.7.46.5-2.3.1
  • spacewalk-search >= 2.7.3.2-2.3.4
  • spacewalk-taskomatic >= 2.7.46.5-2.3.1
  • spacewalk-utils >= 2.7.10.5-2.3.1
  • spacewalk-web >= 2.7.1.10-2.3.1
  • susemanager >= 3.1.8-2.3.1
  • susemanager-advanced-topics_en-pdf >= 3-10.3.1
  • susemanager-best-practices_en-pdf >= 3-10.3.1
  • susemanager-docs_en >= 3-10.3.1
  • susemanager-getting-started_en-pdf >= 3-10.3.1
  • susemanager-jsp_en >= 3-10.3.1
  • susemanager-reference_en-pdf >= 3-10.3.1
  • susemanager-schema >= 3.1.9-2.3.1
  • susemanager-sync-data >= 3.1.6-2.3.1
  • susemanager-tools >= 3.1.8-2.3.1
Patchnames:
SUSE-SUSE-Manager-Server-3.1-2017-1387


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Manager Proxy 3.0 jabberd Released
SUSE Manager Proxy 3.1 jabberd Released
SUSE Manager Server 3.0 jabberd Released
SUSE Manager Server 3.1 jabberd Released